# The Parle\Token class

(PECL parle >= 0.5.2)

## 简介

This class represents a token. Lexer returns instances of this class.

## 类摘要

class Parle\Token {
/* 常量 */
const int EOI = 0;
const int UNKNOWN = -1;
const int SKIP = -2;
/* 属性 */
public int $id;
public string $value;
/* 方法 */
}

## 属性

id

  Token id.

value

  Token value.

## 预定义常量

`Parle\Token::EOI`

  End of input token id.

`Parle\Token::UNKNOWN`

  Unknown token id.

`Parle\Token::SKIP`

  Skip token id.

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open